LibreOffice LibreOffice 7.2 SDK API Reference

Public Member Functions | List of all members
XRestoreListener Interface Referencepublished

receives notifications about data being restored. More...

`import"XRestoreListener.idl";`

Inheritance diagram for XRestoreListener:

## Public Member Functions
void | restored ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when a modified record has been restored More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

receives notifications about data being restored.

Such a notification is typically sent when the user cancels updating the current record of a database form without saving the data. After restoring, the user operates on the original data.

Please do not use anymore, this interface is deprecated, and superseded by functionality from the com::sun::star::form::component::DataForm and com::sun::star::sdb::RowSet services

Deprecated:

## Member Function Documentation

## ◆ restored()

void restored | ( | [in] com::sun::star::lang::EventObject | aEvent | ) |

is invoked when a modified record has been restored

The documentation for this interface was generated from the following file:

- com/sun/star/form/XRestoreListener.idl